{
	saved_firsttime [1]
	
	Init[(s)
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;
			SetNationality(1);
	
			SetAttackDistance(15,15);
			SetLineOfSight(2,90);
	
			SetWeaponAttach(97);
	
			ShowEntity(false);
	
			//SetState_Panzer();	
		}
	}]

	DelayReached[(dy)
	{
		if (dy = 10)
		{
			SetPosition(11648,38857);
		}
		
		if (dy = 20)
		{
			Level.GetPlayer().PlaySound(81);
			bob = Level.GetEntity("Foley");
			bob.Delay(8, 3);
		}
		
		if (dy = 30)
		{
			Tank02 = Level.GetEntity("tank02");
			Tank02.ShowEntity(true);
			Tank02.SetInvulnerable(false);
			Tank02.FollowPath("tank02",0);

			Level.Log("before pathcallback");
			Tank02.FollowPathCallback( 127, "TankFireAtPlayer" );
			Level.Log("after pathcallback");
		}
	}]
	
	TankFireAtPlayer[()
	{
		Player = Level.GetPlayer();
		TurnToEntity(Player);
		TurretShootAt(Player);
	}]

}